Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.urltodata.ai/v1/image/describe \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "url": "<string>" } '
import requests url = "https://api.urltodata.ai/v1/image/describe" payload = { "url": "<string>" } headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.text)
const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({url: '<string>'}) }; fetch('https://api.urltodata.ai/v1/image/describe', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "subject": "<unknown>", "constraints": { "must_keep": [ "<string>" ], "avoid": [ "<string>" ] }, "negative_prompt": "<string>" }
{ "error": "<string>", "message": "<string>", "details": "<string>", "documentationUrl": "<string>" }
API key as Bearer token (e.g. Bearer mp_abc123_secret)
Image URL
Custom prompt for description
Max image resolution
64 <= x <= 2048
Image description
Primary subject of the image (string or structured object)
Show child attributes